package command;

public class CommandSelector {

    private Command command = null;

    public void executeCommand(String enteredCommand) {
        if (enteredCommand.equals("issue")) {
            command = createIssue();
        } else if (enteredCommand.equals("push")) {
            command = pushIssue();
        } else {
            command = help();
        }

        command.execute();
    }

    private Command help(){
        return new CommandHelp();
    }

    private Command createIssue() {
        return new CommandCreateIssue();
    }

    private Command pushIssue() {
        return new CommandPushIssue();
    }
}
